﻿<!--File Name: AdminMap.cshtml-->
<!--File Description: Creates the view for displaying the Admin view for maps page, which provides administrators with the ability
    to upload new pdf maps.-->
<!--Set ViewData-->
<!DOCTYPE html>
<html>
<body>

    @{
        /**/


        ViewData["Title"] = "Edit Maps";
    }

    <div class="page-header row"><h2>@ViewData["Title"]</h2></div>

    <div class="white-background" style="padding: 15px;">

        <a href="~/Admin/Index" class="btn btn-default" style="margin: 1% 0">Back to Admin Page</a>

        <h3>Select a map to edit</h3><br />

        <div class="row">
            @for (int i = 0; i < ViewBag.maps.Length; i++)
            {
                <div id="adminMapList" class="col-md-4">
                    <form action="AdminMap" method="post">
                        <a id="adminMapLink" href="~/Admin/SelectedMap?mapConfigIndex=@i">@ViewBag.maps[i].name</a>
                        <button type="submit" value="Remove Map" name="remove" onclick="return confirm('Pressing OK will permanently delete this map, are you sure?')">Remove Map</button>
                        <input type="hidden" value="@i" name="theIndex" />
                    </form>
                </div>
            }
        </div>

        <hr />
        <form action="AdminMap" method="get">
            <input type="submit" value="Add New Map" name="newMap" />
        </form>

    </div>
</body>
</html>
